%define _disable_ld_no_undefined 1

%define name unwind
%define version 1.1
%define release %mkrel 2

%define major 8

%define libname_devel %mklibname %{name} -d
%define libname %mklibname %{name} %{major}


Summary: An unwinding library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: BSD
Group: Development/Tools
Source: http://download.savannah.gnu.org/releases/libunwind/libunwind-%{version}.tar.xz
Patch1: libunwind-disable-setjmp.patch
Patch2: libunwind-1.1-fix-CVE-2015-3239.patch
URL: http://savannah.nongnu.org/projects/libunwind

BuildRequires: automake libtool autoconf

%global _host %{_target_platform}

%description
Libunwind provides a C ABI to determine the call-chain of a program.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}



%package -n %{libname_devel}
Summary: Development package for libunwind
Group: Development/Libraries
Provides: unwind-devel
Requires: %{libname} = %{version}

%description -n %{libname_devel}
The libunwind-devel package includes the libraries and header files for
libunwind.

%prep
%setup -qn libunwind-%{version}
%apply_patches

%build
aclocal
libtoolize --force
autoheader
automake --add-missing
autoconf
%configure2_5x --enable-static --enable-shared

%make

%install
rm -rf %buildroot
make install DESTDIR=%buildroot
find %buildroot -name '*.la' -exec rm -f {} ';'

mv -f %buildroot%{_libdir}/libunwind-ptrace.a %buildroot%{_libdir}/libunwind-ptrace.a-save
rm -f %buildroot%{_libdir}/libunwind*.a
mv -f %buildroot%{_libdir}/libunwind-ptrace.a-save %buildroot%{_libdir}/libunwind-ptrace.a
rm -f %buildroot%{_libdir}/libunwind-ptrace*.so*


%files -n %{libname}
%doc COPYING README NEWS
%{_libdir}/libunwind*.so.*


%files -n %{libname_devel}
%{_libdir}/libunwind*.so
%{_libdir}/libunwind-ptrace.a
%{_mandir}/*/*
%{_libdir}/pkgconfig/libunwind*.pc
%{_includedir}/unwind.h
%{_includedir}/libunwind*.h



%changelog
* Thu Oct 29 2015 bb <bb> 1.1-2pclos2015
- security update

* Fri Sep 19 2014 bb <bb> 1.1-1pclos2014
- create package
